/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Crystal animation and 3D modeling application
 *
 * Authors:   Tommi Ilmonen 2001-2004
 * Copyright: Tommi Ilmonen and/or Tekes 2001-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#ifndef CRYSTAL_EDITOR_H
#define CRYSTAL_EDITOR_H

#include <qdom.h>

namespace Crystal { 

  class GlData;
  class InEvent;

  class Editor
  {
  public:
    Editor() {}
    virtual ~Editor() {}
    
    virtual void start() {}
    virtual void stop() {}

    virtual void render(GlData *) = 0;
    virtual void update() = 0;
    virtual void beforeEvents() = 0;
    virtual void handleEvent(const InEvent *e) = 0;

    virtual QDomElement writeDom(QDomDocument &doc) = 0;
    virtual bool readDom(QDomElement &elem) = 0;

  };

}

#endif
