/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Crystal animation and 3D modeling application
 *
 * Authors:   Tommi Ilmonen 2001-2004
 * Copyright: Tommi Ilmonen and/or Tekes 2001-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#include <crystal_recorder.h>
#include <crystal_tool_display.h>

namespace Crystal { 

  Recorder::Recorder() 
    : m_mode(MUTE)
  {}

  Recorder::~Recorder() 
  {}
  
  void Recorder::render(Engine *, GlData *gld)
  {
    if(m_display.ptr())
      m_display.ptr()->render(gld);
  }

  void Recorder::setDisplay(ToolDisplay *td)
  {
    m_display = td;
  }
}
