/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Crystal animation and 3D modeling application
 *
 * Authors:   Tommi Ilmonen 2001-2004
 * Copyright: Tommi Ilmonen and/or Tekes 2001-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#ifndef CRYSTAL_SCENE_OBJS_H
#define CRYSTAL_SCENE_OBJS_H

#include <ConfigReaderEmpty.hpp>

#include <string>

namespace Solar {
  class Model;
  class Object;
}

class VEE_GridForce;

namespace Crystal { 

  class SceneObjs
  {
  public:
    SceneObjs();
    ~SceneObjs();
  
    bool loadScene(const char * name, ConfigReader::Chunk * config);

    Solar::Model  *model()  { return m_model; }
    Solar::Object *object() { return m_object; }
    VEE_GridForce *grid()   { return m_grid; }

    const std::string & name() const { return m_name; }

  protected:

    std::string    m_name;
    Solar::Model  *m_model;
    Solar::Object *m_object;
    VEE_GridForce *m_grid;

  private:
    SceneObjs(const SceneObjs & );
    SceneObjs & operator = (const SceneObjs & )
    { return * this; }
  };

}

#endif
