/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Crystal animation and 3D modeling application
 *
 * Authors:   Tommi Ilmonen 2001-2004
 * Copyright: Tommi Ilmonen and/or Tekes 2001-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#ifndef CRYSTAL_VISUALIZE_H
#define CRYSTAL_VISUALIZE_H

#include <qdom.h> 

namespace Crystal { 

  class ActionList;
  class GlData;

  class Visualize
  {
  public:
    Visualize() : m_host(0) {}
    virtual ~Visualize() {}
  
    static Visualize * create(const char *);

    virtual void visualize(ActionList *, GlData *) = 0;

    virtual QDomElement writeDom(QDomDocument &doc) = 0;
    virtual bool readDom(QDomElement &elem) = 0;

    void setHost(ActionList *host) { m_host = host; }

  protected:
    ActionList * m_host;
  };

}


#endif
