

export VEE_PATH=/usr/local/projects/tilmonen/vee-tommi/
export FLUID_ROOT=/usr/local/projects/tilmonen/fluid-tommi/
export MUSTAJUURI_PATH=/usr/local/projects/tilmonen/mustajuuri-devel

export VJ_BASE_DIR=/p/CAVE/VRJuggler/vrjuggler-1.0.3.tml

export OS=`uname -s`

if test $OS = IRIX64  ; then
  export OS=IRIX
  export PLATFORM=IRIX-"$(uname -r)"
  export FLUID_PLATFORM=IRIX-debug
else 
  export PLATFORM="$(uname -s)"-"$(uname -r)"
fi

export MUSTAJUURI_PLUGIN_PATH=$MUSTAJUURI_PATH/plugins/$PLATFORM/
export PATH=$MUSTAJUURI_PATH/bin/$PLATFORM/:$PATH

if test $OS = IRIX  ; then  
  export LD_LIBRARYN32_PATH=$MUSTAJUURI_PATH/lib/$PLATFORM/:$LD_LIBRARYN32_PATH
  export LD_LIBRARYN32_PATH=$VEE_PATH/lib/$PLATFORM:$LD_LIBRARYN32_PATH
  export LD_LIBRARYN32_PATH=$FLUID_ROOT/lib/$FLUID_PLATFORM/:/p/projects/tilmonen/local/IRIX/qt-2.3.0/lib:$LD_LIBRARYN32_PATH

  export LD_LIBRARYN32_PATH=$VJ_BASE_DIR/lib32:$LD_LIBRARYN32_PATH

else
  export LD_LIBRARY_PATH=$MUSTAJUURI_PATH/lib/$PLATFORM/:$LD_LIBRARY_PATH
  export LD_LIBRARY_PATH=$VEE_PATH/lib/$PLATFORM:$LD_LIBRARYN_PATH
fi

