/* COPYRIGHT
 *
 * This file is part of FLUID
 *
 * Author: Tommi Ilmonen, 1999-2001.
 * Tommi.Ilmonen@hut.fi
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. 
 *    
 */

#include <Fluid/CInputDevices.h>

#include <Fluid/InputDevices.hpp>

using namespace Fluid;

/// Calls Fluid::InputDevices::getTracker()
FLUID_CTracker *FLUID_CInputDevices_getTracker(const char *s)
{
  return (FLUID_CTracker *) InputDevices::getTracker(s ? s : "");
}

/// Calls Fluid::InputDevices::init()
void FLUID_CInputDevices_init()
{
  InputDevices::init();
}

/// Calls Fluid::InputDevices::cleanup()
void FLUID_CInputDevices_cleanup()
{
  InputDevices::cleanup();
}

/// Calls Fluid::InputDevices::start()
void FLUID_CInputDevices_start()
{
  InputDevices::start();
}

/// Calls Fluid::InputDevices::stop()
void FLUID_CInputDevices_stop()
{
  InputDevices::stop();
}

/// Calls Fluid::InputDevices::update()
void FLUID_CInputDevices_update()
{
  InputDevices::update();
}
