/* COPYRIGHT
 *
 * This file is part of FLUID
 *
 * Author: Tommi Ilmonen, 1999-2001.
 * Tommi.Ilmonen@hut.fi
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. 
 *    
 */

#ifndef FLUID_CINPUTDEVICES_H
#define FLUID_CINPUTDEVICES_H

#include <Fluid/CTracker.h>

#ifdef __cplusplus
extern "C" {
#endif

FLUID_CTracker *FLUID_CInputDevices_getTracker(const char *);
void FLUID_CInputDevices_init();
void FLUID_CInputDevices_cleanup();
void FLUID_CInputDevices_start();
void FLUID_CInputDevices_stop();
void FLUID_CInputDevices_update();

#ifdef __cplusplus
}
#endif


#endif  /* FLUID_CMATRIX3_H */
