/* COPYRIGHT
 *
 * This file is part of FLUID
 *
 * Author: Tommi Ilmonen, 1999-2001.
 * Tommi.Ilmonen@hut.fi
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. 
 *    
 */


#ifndef FLUID_MESSAGE_STRING_PRINTER_H
#define FLUID_MESSAGE_STRING_PRINTER_H

#include <Fluid/MessageString.hpp>
#include <Fluid/MessageSink.hpp>

#include <iostream>

namespace Fluid {
  
class MessageStringPrinter : public MessageSink
{
public:
  MessageStringPrinter();
  virtual ~MessageStringPrinter();

  virtual bool msgProcess(const char *id, Message *);

protected:
  std::ostream *m_output;
};

} // namespace Fluid

#endif
