
function r = trasf(b,a,freq)

scaled_freq = freq * pi;

denominator = 0;

for n=1:length(a)
  denominator = denominator + a(n) * exp(- i * (n-1) * scaled_freq);
end

numerator = 0;

for n=1:length(b)
  numerator = numerator + b(n) * exp(- i * (n-1) * scaled_freq);
end

r = numerator / denominator;
