/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of Mustajuuri LGPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. Extra clauses can be found from the file
 * MUSTAJUURI_LGPL and further explanations from the file
 * MUSTAJUURI_LICENSE. The license text can be found in file
 * "LGPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *    
 */

#ifndef AC_STK_H
#define AC_STK_H

/* @file ac_stk.h This file contains STK-related definitions. */

enum AC_StkShakerType {
  AC_STK_SHAKER_MARACA = 0,
  AC_STK_SHAKER_CABASA = 1,
  AC_STK_SHAKER_SEKERE = 2,
  AC_STK_SHAKER_GUIRO = 3,
  AC_STK_SHAKER_WATER_DROPS = 4,
  AC_STK_SHAKER_BAMBOO_CHIMES = 5,
  AC_STK_SHAKER_TAMBOURINE = 6,
  AC_STK_SHAKER_SLEIGH_BELLS = 7,
  AC_STK_SHAKER_STICKS = 8,
  AC_STK_SHAKER_CRUNCH = 9,
  AC_STK_SHAKER_WRENCH = 10,
  AC_STK_SHAKER_SAND_PAPER = 11,
  AC_STK_SHAKER_COKE_CAN = 12,
  AC_STK_SHAKER_NEXT_MUG = 13,
  AC_STK_SHAKER_PENNY_MUG = 14,
  AC_STK_SHAKER_NICKLE_MUG = 15,
  AC_STK_SHAKER_DIME_MUG = 16,
  AC_STK_SHAKER_QUARTER_MUG = 17,
  AC_STK_SHAKER_FRANC_MUG = 18,

  AC_STK_SHAKER_PESO_MUG = 19,
  AC_STK_SHAKER_BIG_ROCKS = 20,
  AC_STK_SHAKER_LITTLE_ROCKS = 21,
  AC_STK_SHAKER_TUNED_BAMBOO_CHIMES = 22,
  AC_STK_SHAKER_SIZEOF = 23
};

#endif
