/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of DIVA base library.
 *
 * Author(s): Jarmo Hiipakka and Tommi Ilmonen, 2000-2001.
 * Jarmo.Hiipakka@hut.fi Tommi.Ilmonen@hut.fi
 *
 * DIVA - Digital Interactive Virtual Acoustics group 
 * Telecommunications Software and Multimedia Laboratory
 * Helsinki University of Technology
 * Finland
 *
 * http://www.tml.hut.fi/Research/DIVA/
 *
 * DIVA base library is licensed under GNU Lesser General Public
 * License (LGPL). The LGPL conditions can be found in file "LGPL"
 * that is distributed with this source package or obtained from the
 * GNU organization (www.gnu.org).
 * 
 */

#ifndef DI_CONDITION_H
#define DI_CONDITION_H

#include <di_mutex.h>

/// EMPTY CLASS
class DI_Condition
{
public:
  DI_Condition() {}

  ~DI_Condition() {}

  int wait(DI_Mutex &) { return 0; }

  int broadcast()  { return 0; }

  int broadcast2(DI_Mutex &)  { return 0; }

  int signal()  { return 0; }

  int signal2(DI_Mutex &)  { return 0; }
};

#endif
