/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of DIVA base library.
 *
 * Author(s): Jarmo Hiipakka and Tommi Ilmonen, 2000.
 * Jarmo.Hiipakka@hut.fi Tommi.Ilmonen@hut.fi
 *
 * DIVA - Digital Interactive Virtual Acoustics group 
 * Telecommunications Software and Multimedia Laboratory
 * Helsinki University of Technology
 * Finland
 *
 * http://www.tml.hut.fi/Research/DIVA/
 *
 * DIVA base library is licensed under GNU Lesser General Public
 * License (LGPL). The LGPL conditions can be found in file "LGPL"
 * that is distributed with this source package or obtained from the
 * GNU organization (www.gnu.org).
 * 
 */

#ifndef DI_MUTEX_H
#define DI_MUTEX_H


/// EMPTY CLASS
class DI_Mutex
{
public:

  DI_Mutex() {}

  virtual ~DI_Mutex() {}
  
  inline bool init(bool shared = false, 
	    bool prio_inherit = true,
	    bool recursive = true)
  { return true; }
  
  inline bool close() { return true; }

  inline bool lock() { return true; }

  inline bool lock(bool block) { return true; }

  inline bool tryLock() { return true; }

  inline bool unlock() { return true; }

  static void test() {}

};

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////

/// EMPTY CLASS
class DI_MutexAuto : public DI_Mutex
{
public:
  /// Calls init.
  DI_MutexAuto(bool shared = false, 
	       bool prio_inherit = true,
	       bool recursive = true) 
  { init(shared, prio_inherit, recursive); }
  ///
  ~DI_MutexAuto() {}
};


#endif
