/* COPYRIGHT
 *
 * This file is part of the DIVA IO library.
 *
 * Author(s): Jarmo Hiipakka and Tommi Ilmonen, 2000-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * DIVA - Digital Interactive Virtual Acoustics group 
 * Telecommunications Software and Multimedia Laboratory
 * Helsinki University of Technology
 * Finland
 *
 * http://www.tml.hut.fi/Research/DIVA/
 *
 * DIVA IO library is licensed under GNU Lesser General Public
 * License (LGPL). The LGPL conditions can be found in file "LGPL"
 * that is distributed with this source package or obtained from the
 * GNU organization (www.gnu.org).
 * 
 */

#include "di_audio_base.h"

DI_AudioBase::DI_AudioBase() :
  m_mode(DI_IO_NONE),
  m_inFormat(DI_ASF_SAMPLE),
  m_outFormat(DI_ASF_SAMPLE),
  m_inBufSize(0),
  m_outBufSize(0),
  m_inRate(DI_AUDIO_UNSPECIFIED_RATE),
  m_outRate(DI_AUDIO_UNSPECIFIED_RATE),
  m_inChannels(0),
  m_outChannels(0),
  m_inBlock(0),
  m_outBlock(0)
{
}

DI_AudioBase::~DI_AudioBase(void)
{
}
