/* COPYRIGHT
 *
 * This file is part of Mustajuuri LGPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. Extra clauses can be found from the file
 * MUSTAJUURI_LGPL and further explanations from the file
 * MUSTAJUURI_LICENSE. The license text can be found in file
 * "LGPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *    
 */

#include <mj_display_type.h>

#include <mj_misc.h>
#include <mj_error.h>

#include <qstring.h>

#include <stdlib.h>

bool MJ_DisplayType::m_localServer = false;

void MJ_DisplayType::init()
{
  QString dpy(getenv("DISPLAY"));

  QString dpyInd(MJ_lastField(dpy, ":"));
  m_localServer = (dpyInd == "0.0");
}
