/* COPYRIGHT
 *
 * This file is part of Mustajuuri LGPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. Extra clauses can be found from the file
 * MUSTAJUURI_LGPL and further explanations from the file
 * MUSTAJUURI_LICENSE. The license text can be found in file
 * "LGPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *    
 */

#include <mj_module_rtaudio.h>

MJ_ModuleRtAudio::MJ_ModuleRtAudio()
  : m_minimumBuffer(128),
    m_maximumBuffer(256)
{}

MJ_ModuleRtAudio::~MJ_ModuleRtAudio()
{
}

int MJ_ModuleRtAudio::bufferLength()
{
  error(MJ_ERR_DO_NOT_CALL, "MJ_ModuleRtAudio::bufferLength");
  return -1;
}

