/* COPYRIGHT
 *
 * This file is part of Mustajuuri GPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the General Public License (GPL),
 * versions 2. Extra clauses can be found from the file MUSTAJUURI_GPL
 * and further explanations from the file MUSTAJUURI_LICENSE. The
 * license text can be found in file "GPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *  
 */

#include <mj_module_keys.h>

const char *MJ_busIdentifier = "MUSTAJUURI:remap";
const char *MJ_monoDelayIdentifier = "MUSTAJUURI:mono_delay_1";
const char *MJ_mixerSourceIdentifier = "MUSTAJUURI:mixer_source_1";
const char *MJ_mixerSendIdentifier = "MUSTAJUURI:mixer_send_1";
const char *MJ_dspDelayIdentifier = "MUSTAJUURI:delay_1";
const char *MJ_dspRowIdentifier = "MUSTAJUURI:Combo/Row";
const char *MJ_dspOscillatorIdentifier = "MUSTAJUURI:Oscillator1";
const char *MJ_dspImpulseIdentifier = "MUSTAJUURI:Impulse1";
const char *MJ_dspVisualIdentifier = "MUSTAJUURI:visual_level_1";

const char *MJ_dspGainIdentifier = "MUSTAJUURI:gain_gain_1";
const char *MJ_dspGainMultiIdentifier = "MUSTAJUURI:gain_gain_2";
const char *MJ_dspCompressorIdentifier = "MUSTAJUURI:compressor1";

const char *MJ_dspMul2Identifier = "MUSTAJUURI:mul2";
const char *MJ_dspAdd2Identifier = "MUSTAJUURI:add2";
const char *MJ_dspSub2Identifier = "MUSTAJUURI:sub2";

const char *MJ_dspAbsIdentifier = "MUSTAJUURI:abs";
const char *MJ_dspSquareIdentifier = "MUSTAJUURI:square";
const char *MJ_dspSignedSquareRootIdentifier = 
"MUSTAJUURI:signed_square_root";

const char *MJ_dspConstIdentifier = "MUSTAJUURI:const";
