/* COPYRIGHT
 *
 * This file is part of Mustajuuri GPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the General Public License (GPL),
 * versions 2. Extra clauses can be found from the file MUSTAJUURI_GPL
 * and further explanations from the file MUSTAJUURI_LICENSE. The
 * license text can be found in file "GPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *  
 */
#include <mj_module_noise.h>

MJ_ModuleNoise::MJ_ModuleNoise()
{}

MJ_ModuleNoise::~MJ_ModuleNoise()
{}

bool MJ_ModuleNoise::dspPrepare()
{
  return dspOutChannels() > 0;
}

void MJ_ModuleNoise::dspProcessPeriod()
{
  for(uint i=0; i < m_signalOutput.size(); i++) {
    MJ_Vector<MJ_Sample> *out = & m_signalOutput[i].samples();
    
    m_random.getManySamples1(out->data(), out->size());
  }
}
  
