/* COPYRIGHT
 *
 * This file is part of Mustajuuri LGPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2001.
 * Tommi.Ilmonen@hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. Extra clauses can be found from the file
 * MUSTAJUURI_LGPL and further explanations from the file
 * MUSTAJUURI_LICENSE. The license text can be found in file
 * "LGPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *    
 */


#ifndef MJ_GRAPHIC_POLYGON_H
#define MJ_GRAPHIC_POLYGON_H

#include <mj_graphic.h>

#include <mj_graphic_polyline.h>

/** Polygon graphic object. */

class MJ_GraphicPolygon : public MJ_GraphicPolyLine
{
public:

  MJ_GraphicPolygon(const QMemArray<float> &points)
    : MJ_GraphicPolyLine(points) {}
    
  MJ_GraphicPolygon() {}

  virtual ~MJ_GraphicPolygon();
  
  virtual void render(MJ_Painter *);
};

#endif
