/* COPYRIGHT
 *
 * This file is part of Mustajuuri GPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the General Public License (GPL),
 * versions 2. Extra clauses can be found from the file MUSTAJUURI_GPL
 * and further explanations from the file MUSTAJUURI_LICENSE. The
 * license text can be found in file "GPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *  
 */

#ifndef MJ_MODULE_EQ3_GUI_H
#define MJ_MODULE_EQ3_GUI_H

#include <mj_module_eq2_gui.h>


class MJ_ModuleEq3_QG : public MJ_ModuleEq2_QG
{
  Q_OBJECT
public:
  MJ_ModuleEq3_QG(MJ_RtControl *rtparent,
		  MJ_ModuleDsp *module,
		  QWidget      *parent = 0,
		  const char   *name = 0);

  virtual ~MJ_ModuleEq3_QG();

  static MJ_ModuleDspGui *createNew(MJ_RtControl *rtparent,
				    MJ_ModuleDsp *module,
				    QWidget *parent, 
				    const char *name);

protected:

  virtual void setBand(double Hz, double gainDb);

};

#endif
