#!/bin/sh


DIR2="$1"
shift

DIR1="$1"
shift

if test ! -e $DIR2 ; then
  echo "Directory $DIR2 does not exist. Aborting"
  exit
fi

export PWDORIG=`pwd`

cd $DIR2

FILES=`ls *`

cd $PWDORIG

for FILE in $FILES ;
do

  FULLPATH=$DIR1/$FILE

  if test -e $FULLPATH ; then
    echo "Removing $FULLPATH";
    rm -f $FULLPATH
  fi

done
