#!/bin/sh

DIR="$1"
shift

if test ! -e $DIR ; then
  echo "Directory $DIR does not exist. Aborting"
  exit
fi

export PWDORIG=`pwd`

cd $DIR

FILES=`ls *`

# echo "FILES=$FILES"

for FILE in $FILES ;
do
  echo "Unlinking file $FILE";
  $PWDORIG/scripts/link2file.sh $FILE
done