#!/bin/sh

# Turns a file to symlink

# Arguments: two files that both must exist

FILE1="$1"
shift
FILE2="$1"
shift

echo "Symlinking '$FILE1' to '$FILE2'"

if test ! -e $FILE1 ; then
  echo "File '$FILE1' does not exist, not linking to '$FILE2'"
  exit
fi

if test ! -e $FILE2 ; then
  echo "File '$FILE2' does not exist, not linking from '$FILE1'"
  exit
fi

rm -f $FILE2
ln -sf $FILE1 $FILE2