#!/bin/sh

PREFIX=/usr/local/

while [ -n "$1" ];
do

  PREFIX="$1"

  shift

done

if test -z $QTDIR ; then
  echo "Trying to guess the value of QTDIR"

  # Debian
  if test -e /usr/share/qt ; then
    export QTDIR=/usr/share/qt
  fi

  # SUSE
  if test -e /usr/lib/qt3 ; then
    export QTDIR=/usr/lib/qt
  fi

  # Gentoo:
  if test -e /usr/lib/qt3 ; then
    export QTDIR=/usr/lib/qt3
  fi

  echo "QTDIR=$QTDIR"

fi

export MUSTAJUURI_PATH=`pwd`/..

echo "MUSTAJUURI_PATH=$MUSTAJUURI_PATH"

./configure --prefix=$PREFIX

make -k links
make -k

make -k unlinks-os
make -k install
make -k dev-install
#make -k cleanlibs
#make -k clean

# The followign is seldom needed, so lets not build it always...
# make -k doc-install
