
/** A test application that reads config files and writes them to the
    screen in one config. */

#include "ConfigReader.hpp"


int main(int argc, char **argv)
{
  ConfigReader::Config conf;

  for(int i = 1; i < argc; i++) {
    printf("Reading config file \"%s\"...", argv[i]);
    fflush(0);
    bool ok = ConfigReader::readConfig(&conf, argv[i]);
    puts(ok ? "success" : "failure");
  }

  conf.dump(std::cout);
  std::cout << std::endl;

  return EXIT_SUCCESS;
}
