

export VEE_PATH=`pwd`/..

export CODE_ROOT=/n/scratch/tilmonen

export FLUID_ROOT=$CODE_ROOT/fluid
export MUSTAJUURI_PATH=$CODE_ROOT/mustajuuri

export OS=`uname -s`

if test $OS = IRIX64  ; then
  export OS=IRIX
  export PLATFORM=IRIX-"$(uname -r)"
  export FLUID_PLATFORM=IRIX-debug
else 
  export PLATFORM="$(uname -s)"-"$(uname -m)"
fi

export MUSTAJUURI_PLUGIN_PATH=$MUSTAJUURI_PATH/plugins/$PLATFORM/
export PATH=$MUSTAJUURI_PATH/bin/$PLATFORM/:$PATH

if test $OS = IRIX  ; then  
  export LD_LIBRARYN32_PATH=$MUSTAJUURI_PATH/lib/$PLATFORM/:$LD_LIBRARYN32_PATH
  export LD_LIBRARYN32_PATH=$VEE_PATH/lib/$PLATFORM:$LD_LIBRARYN32_PATH
  export LD_LIBRARYN32_PATH=$FLUID_ROOT/lib/$FLUID_PLATFORM/:/p/projects/tilmonen/local/IRIX/qt-2.3.0/lib:$LD_LIBRARYN32_PATH

else
  export LD_LIBRARY_PATH=$MUSTAJUURI_PATH/lib/$PLATFORM/:$LD_LIBRARY_PATH
  export LD_LIBRARY_PATH=$VEE_PATH/lib/$PLATFORM:$LD_LIBRARY_PATH
fi

