
#include <Solar/Stream.hpp>

#include <iostream>

namespace Solar {

  void Write(std::ostream *s, const Fluid::Matrix3 &m)
  {
    for(unsigned i=0; i < 3; i++)
      for(unsigned j=0; i < 3; i++)
	(*s) << (float) m[i][j] << "   ";
  }

  void Write(std::ostream *s, const Fluid::Vector3 &v)
  {
    for(unsigned i=0; i < 3; i++)
      (*s) << (float) v[i] << "   ";
  }

  void Write(std::ostream *s, const Fluid::Vector2 &v)
  {
    for(unsigned i=0; i < 2; i++)
      (*s) << (float) v[i] << "   ";
  }
}
