
/* COPYRIGHT
 *
 * This file is part of the Simple Object Loader and Renderer - SOLAR
 *
 * Read the file "SOLAR-LICENSE" for the license.
 *
 * Authors & Copyright:
 *
 * Tommi Ilmonen, 2001-2003, except LWO-code by RJ, 2001-2003
 *
 * Tommi's email: firstname.lastname@hut.fi
 *
 */

#ifndef SOLAR_STREAM_UTILS_HPP
#define SOLAR_STREAM_UTILS_HPP

#include <Fluid/Vector2.hpp>
#include <Fluid/Vector3.hpp>
#include <Fluid/Matrix3.hpp>

#include <iosfwd>

namespace Solar {

  void Write(std::ostream *, const Fluid::Matrix3 &);
  void Write(std::ostream *, const Fluid::Vector3 &);
  void Write(std::ostream *, const Fluid::Vector2 &);
  
}

#endif
