
#include <Solar/MtlParser.hpp>


int main(int argc, char **argv)
{

  ConfigReader::Config conf;

  for(int i = 1; i < argc; i++) {
    printf("Reading material file \"%s\"...", argv[i]);
    fflush(0);
    bool ok = Solar::MtlParser::load(&conf, argv[i]);
    puts(ok ? "success" : "failure");
  }

  conf.dump(std::cout);
  std::cout << std::endl;

  

  return EXIT_SUCCESS;
}
