/* COPYRIGHT
 *
 * This file is part of the Simple Object Loader and Renderer - SOLAR
 *
 * Read the file "SOLAR-LICENSE" for the license.
 *
 * Authors & Copyright:
 *
 * Tommi Ilmonen, 2001-2003, except LWO-code by RJ, 2001-2003
 *
 * Tommi's email: firstname.lastname@hut.fi
 *
 */

#ifndef SOLAR_PF_CONVERT_HPP
#define SOLAR_PF_CONVERT_HPP

#ifndef HAVE_PERFORMER
#error "You do not have Performer configured"
#endif

extern "C"
{
#define PF_C_API 1
#define PF_CPLUSPLUS_API 0 
#include <Performer/pf.h>
}

namespace Solar {
  
  class Model;

  class PfConvert 
  {
  public:
    static bool convert(Solar::Model *, pfGroup *);
    static bool load(Solar::Model *, const char *);
  };
  
}

#endif
