/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Crystal animation and 3D modeling application
 *
 * Authors:   Tommi Ilmonen 2001-2004
 * Copyright: Tommi Ilmonen and/or Tekes 2001-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#ifndef CRYSTAL_ACTION_CREATE_H
#define CRYSTAL_ACTION_CREATE_H

#include <crystal_action.h>

#include <vee_object.h>

namespace Crystal { 


  /** This method creates an object to the scene. */

  class ActionCreator : public Action
  {
  public:
    ActionCreator()
      : m_id(-1) { }

    ActionCreator(VEE_Vector3 & loc, VEE_Vector3 & vel, int id,
		  const Fluid::TimeStamp &t)
      : Action(t), m_visual(loc, vel), m_id(id) {}

    virtual ~ActionCreator();
  
    virtual void act(ActionList *);

    virtual QDomElement writeDom(QDomDocument &);
    virtual bool readDom(QDomElement &elem);

    VEE_ParticleVisualInfo & visual() { return m_visual; }

  protected:
    VEE_ParticleVisualInfo m_visual;
    int m_id;
  };

}

#endif
