/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Crystal animation and 3D modeling application
 *
 * Authors:   Tommi Ilmonen 2001-2004
 * Copyright: Tommi Ilmonen and/or Tekes 2001-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#ifndef CRYSTAL_AUDIO_ALLOCATOR_H
#define CRYSTAL_AUDIO_ALLOCATOR_H

#include <di_types.h>

#include <vector>

namespace Crystal { 

  class AudioAllocator
  {
  public:
    AudioAllocator();
    ~AudioAllocator();

    int allocateChannel();
    void deallocateChannel(int);

    void expand(uint);

    void clearAllocations();

  protected:
    int m_counter;
  
    /** Information on allocated channels. Zero or positive indicates
	that channel is available for operation. Negative indicates the
	channel is allocated. */

    std::vector<int> m_channels;
  };

}

#endif

