/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Crystal animation and 3D modeling application
 *
 * Authors:   Tommi Ilmonen 2001-2004
 * Copyright: Tommi Ilmonen and/or Tekes 2001-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#include <crystal_location_action.h>

#include <crystal_action_list.h>

#include <vee_error.h>
#include <vee_values.h>
#include <vee_particle.h>
#include <vee_strs.h>

// #include <typeinfo>

namespace Crystal { 
  
  LocationAction::~LocationAction()
  {}

  void LocationAction::act(ActionList *al)
  {
    VEE_Object *o = al->getObject(m_object);
  
    if(!o) {
      VEE_fatal("LocationAction::act");
      return;
    }

    VEE_ValueVector3 mv(m_location);

    // VEE_trace("LocationAction::act # %s", typeid(*o).name());

    o->setValue(VEE_Strs::location, &mv);
  }

}
