/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Crystal animation and 3D modeling application
 *
 * Authors:   Tommi Ilmonen 2001-2004
 * Copyright: Tommi Ilmonen and/or Tekes 2001-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#ifndef CRYSTAL_LOCATION_ACTION_H
#define CRYSTAL_LOCATION_ACTION_H


#include <crystal_action.h>

#include <Fluid/Vector3.hpp>

namespace Crystal { 
  /**  Move an object to a given location.*/
  class LocationAction : public Action
  {
  public:
    LocationAction(const Fluid::Vector3 &location, 
		   int obj, 
		   const Fluid::TimeStamp & t)
      : Action(t), m_location(location), m_object(obj) {}
    
    virtual ~LocationAction();
    
    virtual void act(ActionList *);
    
  protected:
    Fluid::Vector3 m_location;
    int m_object;
  };
  
}

#endif
