/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Crystal animation and 3D modeling application
 *
 * Authors:   Tommi Ilmonen 2001-2004
 * Copyright: Tommi Ilmonen and/or Tekes 2001-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#ifndef CRYSTAL_REMOVE_ACTION_H
#define CRYSTAL_REMOVE_ACTION_H

#include <crystal_action.h>

namespace Crystal { 

  /** This action removes one object from the action list. */

  class RemoveAction : public Action
  {
  public:
    RemoveAction() : m_objectId(-1) {}

    RemoveAction(int objectId, const Fluid::TimeStamp &ts)
      : Action(ts), m_objectId(objectId) {}

    virtual ~RemoveAction();

    virtual void act(ActionList *);

    int objectId() const { return m_objectId; }

    virtual QDomElement writeDom(QDomDocument &);
    virtual bool readDom(QDomElement &elem);

  protected:
    int m_objectId;
  };

}

#endif
