/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Crystal animation and 3D modeling application
 *
 * Authors:   Tommi Ilmonen 2001-2004
 * Copyright: Tommi Ilmonen and/or Tekes 2001-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#ifndef CRYSTAL_UI_HANDLER_H
#define CRYSTAL_UI_HANDLER_H

namespace Crystal { 

class GlData;

  class UiHandler
  {
  public:
    UiHandler() {}
    virtual ~UiHandler() {}

    /** Handle input data. */
    virtual void handleInput() = 0;

    /** Update some internal stuff if necessary. */
    virtual void update() = 0;

    /** Render the UI. */
    virtual void render(GlData *glData) = 0;

    virtual void start() = 0;
    virtual void stop() = 0;
  };

}

#endif
