ROOT=$(pwd)


export SYSTEMBASE=`uname -s`

if test $SYSTEMBASE = IRIX64  ; then
  export SYSTEMBASE=IRIX
fi

if test $SYSTEMBASE = IRIX  ; then
  export QTDIR=/p/appl/qt/current
  export PYTHON_INC=/p/projects/tilmonen/local/IRIX/include/python2.2/
  export VJ_BASE_DIR=/p/projects/tilmonen/local/IRIX/vrjuggler-1.0-pthread
  export FLUID_PLATFORM=IRIX-debug
else
  export FLUID_PLATFORM=Linux-i686-debug
fi

export MUSTAJUURI_PATH=$ROOT/mustajuuri
export MJPLATFORM=`$MUSTAJUURI_PATH/src/scripts/mj_uname.sh`
export MUSTAJUURI_PLUGIN_PATH=$MUSTAJUURI_PATH/plugins/$MJPLATFORM/

export VEE_PATH=$ROOT/vee
export BGL_DIR=$ROOT/bgl

export FLUID_ROOT=$ROOT/fluid

if test $SYSTEMBASE = IRIX  ; then
  export LD_LIBRARYN32_PATH=$MUSTAJUURI_PATH/lib/$MJPLATFORM:$VEE_PATH/lib/$MJPLATFORM:$FLUID_ROOT/lib/IRIX-debug:$QTDIR/lib:$VJ_BASE_DIR/lib32:$BGL_DIR

  export CC="cc -n32"
  export CXX="CC -n32"
else
  export LD_LIBRARY_PATH=$MUSTAJUURI_PATH/lib/$MJPLATFORM:$VEE_PATH/lib/$MJPLATFORM:$FLUID_ROOT/lib/IRIX-debug:$QTDIR/lib:$VJ_BASE_DIR/lib:$BGL_DIR
fi

# ON IRIX:

export PATH=/p/projects/tilmonen/local/IRIX/bin/:$QTDIR/bin:$PATH