/* COPYRIGHT
 *
 * This file is part of FLUID
 *
 * Author: Tommi Ilmonen, 1999-2001.
 * Tommi.Ilmonen@hut.fi
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. 
 *    
 */

#ifndef FLUID_IO_NODE_HPP
#define FLUID_IO_NODE_HPP

#include <string>

namespace Fluid {

class IONode
{
public:
  IONode() {}
  virtual ~IONode() {}
};

class IOSource
{
public:
  IOSource() {}
  virtual ~IOSource() {}
  virtual IONode *ioGetOutput(const char *) = 0;
  virtual std::string ioGetOutputName(unsigned) = 0;

  /*  const std::string & ioId() const     { return m_ioId;}
  void setIoId(const std::string & id) { m_ioId = id; }
  void setIoId(const char * id)        { m_ioId = id; }
protected:
std::string m_ioId;*/
};

}

#endif
