/* COPYRIGHT
 *
 * This file is part of FLUID
 *
 * Author: Tommi Ilmonen, Janne Kontkanen 1999-2002.
 * Tommi.Ilmonen@hut.fi, Janne.Kontkanen@hut.fi
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. 
 *    
 */
#ifndef FLUID_MUTEX_HPP
#define FLUID_MUTEX_HPP

class DI_MutexAuto;

namespace Fluid
{

class Mutex
{
public:
  Mutex();
  ~Mutex();
  void lock();
  void unlock();
private:
  Mutex(const Mutex&) {}
  Mutex& operator=(const Mutex&) { return *this; }
  DI_MutexAuto *mutex;
};

} // Fluid

#endif
