/* COPYRIGHT
 *
 * This file is part of FLUID
 *
 * Author: Tommi Ilmonen, 1999-2001.
 * Tommi.Ilmonen@hut.fi
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. 
 *    
 */

#ifndef FLUID_CVECTOR3_H
#define FLUID_CVECTOR3_H


#include <stdio.h> // FILE *

#ifdef __cplusplus
extern "C" {
#endif

typedef struct __FLUID_CVector3
{
  float v[3];
} FLUID_CVector3;

FLUID_CVector3 FLUID_CVector3_add(const FLUID_CVector3 *,
				  const FLUID_CVector3 *);

FLUID_CVector3 FLUID_CVector3_sub(const FLUID_CVector3 *,
				  const FLUID_CVector3 *);

void FLUID_CVector3_printf(const FLUID_CVector3 *, FILE *);
#ifdef __cplusplus
}
#endif


#endif  /* FLUID_CMATRIX3_H */
