/* COPYRIGHT
 *
 * This file is part of FLUID
 *
 * Author: Tommi Ilmonen, 1999-2001.
 * Tommi.Ilmonen@hut.fi
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. 
 *    
 */

#include "Fluid/Matrix3.hpp"
#include "Fluid/Matrix4.hpp"
#include "Fluid/Variant.hpp"

int main()
{
  Fluid::Matrix3T<float>::test();
  Fluid::Matrix3T<double>::test();
  Fluid::Matrix4T<float>::test();
  Fluid::Matrix4T<double>::test();
  Fluid::Variant::test();
  std::cout << "ALL TESTS PASSED" << std::endl;
  return 0;
}
