
#ifndef __MOSTARPACK_H__
#define __MOSTARPACK_H__

#include <WL/MostarDefs.h>
#include <WL/MostarRec.h>

/// 
class wlMostarPack : public wlMostarDefs
{
  int			sequence;
  unsigned int	time;
  int			milleseconds;
  int			num_records;
  wlMostarRec		records[120];

public:	
  ///
  wlMostarPack();
  ///
  wlMostarPack(PacketHeader& hdr, unsigned char* raw);
  ///
  void		FromRaw(PacketHeader& hdr, unsigned char* raw);
  ///
  int			NumRecords() { return num_records; }
  ///
  int			Sequence() { return sequence; }
  ///
  unsigned int	Time() { return time; }
  ///
  int			Milleseconds() { return milleseconds; }
  ///
  int			GetRecord(int which, wlMostarRec&);
};

#endif
