#!/bin/zsh

export DATE=`date '+%d-%m-%Y'`

while [ -n "$1" ];
do

  DATE="$1"

  shift

done

mkdir helma-$DATE

cd helma-$DATE
cp $HOME/bin/*.sh .
source ./checkout.sh

# Do not distribute BGL (yet)
rm -rf bgl

# Erase copyrighted stuff:
rm vee/src/test/images/kuva*
rm vee/src/test/images/puu*
rm crystal/vrjuggler/images/kuva*
rm crystal/vrjuggler/texturedir/puu*

# Erase too large stuff:
rm crystal/vrjuggler/images/rock-noise-*

rm checkout.sh

ln -sf crystal/scripts/*.sh .

cd ..

tar cvfz helma-$DATE.tgz helma-$DATE

