#!/bin/zsh

export DATE=`date '+%d-%m-%Y'`

while [ -n "$1" ];
do

  DATE="$1"

  shift

done

cvs -d tilmonen@hermit:/p/projects/mustajuuri/CVS checkout mustajuuri

ln -s -f mustajuuri mustajuuri-$DATE

echo "Building TGZ package"
tar cvfz mustajuuri-$DATE.tgz mustajuuri-$DATE/*
ls -al mustajuuri-$DATE.tgz 

echo "Removing the created directory"
rm -rf mustajuuri mustajuuri-$DATE
echo "Done"

