#!/bin/sh

if test -z $QTDIR ; then
    echo "You should have QTDIR set before running this script"
    exit
fi

export MUSTAJUURI_PATH=$(pwd)/../

UNAMES=$(uname -s)

# if [[ $UNAMES != Linux ]] ; then
#     echo "This is not Linux, sorry. This script cannot help you."
# fi

zsh confbase.sh

./configure  --with-qt=$QTDIR

source setenv.sh

make links

make -k all

echo "You should probably modify your LD_LIBRARY_PATH like this:"
if [[ $UNAMES != Linux ]] ; then
echo "export LD_LIBRARY_PATH=$MUSTAJUURI_PATH/lib/$(uname -s)-$(uname -r):$LD_LIBRARY_PATH"
else
echo "export LD_LIBRARYN32_PATH=$MUSTAJUURI_PATH/lib/$(uname -s)-$(uname -r):$LD_LIBRARYN32_PATH"
fi