/* COPYRIGHT
 *
 * This file is part of Mustajuuri LGPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. Extra clauses can be found from the file
 * MUSTAJUURI_LGPL and further explanations from the file
 * MUSTAJUURI_LICENSE. The license text can be found in file
 * "LGPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *    
 */

#include <stdio.h>
#include <stdlib.h>


const char *GC_ALG   = "MJ_Array::get";
const char *GC_ALG_A = "Arg exceeds array bounds";
const char *GC_ALGC  = "MJ_Array::getConst";
const char *GC_ALR   = "MJ_Array::resize"; 

void MJ_arrayFatal(int e)
{
  fflush(0);

  const char *cp1 = 0;
  const char *cp2 = 0;

  switch(e) {
  case 0:
    cp1 = GC_ALG;
    cp2 = GC_ALG_A;
    break;

  case 1:
    cp1 = GC_ALGC;
    cp2 = GC_ALG_A;
    break;

  case 2:
    cp1 = GC_ALR;
    break;
  }


  if(cp1) fprintf(stderr, cp1);
  if(cp2) fprintf(stderr, cp2);
  fprintf(stderr, "\n");
  fflush(0);

  // Cause seg fault:

  int *badAddr = 0;
  *badAddr = 123456;
  exit(1);
}
