/* COPYRIGHT
 *
 * This file is part of Mustajuuri GPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the General Public License (GPL),
 * versions 2. Extra clauses can be found from the file MUSTAJUURI_GPL
 * and further explanations from the file MUSTAJUURI_LICENSE. The
 * license text can be found in file "GPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *  
 */
#include <mj_module_blank_messages.h>

#include <stdlib.h>    // "rand"

MJ_ModuleBlankMessages::MJ_ModuleBlankMessages()
  : m_interval(2), 
  m_counter(1)
{}

MJ_ModuleBlankMessages::~MJ_ModuleBlankMessages()
{}
    
void MJ_ModuleBlankMessages::dspProcessPeriod()
{
  if(!m_counter) {
    m_counter = m_interval;

    m_msgDouble.setValue((double) rand() / 33000.0); // Less than unity
    msgPushOutput("NULL", & m_msgDouble);
  }
  m_counter--;
}
