/* COPYRIGHT
 *
 * This file is part of Mustajuuri GPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the General Public License (GPL),
 * versions 2. Extra clauses can be found from the file MUSTAJUURI_GPL
 * and further explanations from the file MUSTAJUURI_LICENSE. The
 * license text can be found in file "GPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *  
 */
#ifndef MJ_MODULE_KEYS_H
#define MJ_MODULE_KEYS_H


extern const char *MJ_busIdentifier;
extern const char *MJ_monoDelayIdentifier;
extern const char *MJ_mixerSendIdentifier;
extern const char *MJ_mixerSourceIdentifier;
extern const char *MJ_dspDelayIdentifier;
extern const char *MJ_dspRowIdentifier;
extern const char *MJ_dspOscillatorIdentifier;
extern const char *MJ_dspImpulseIdentifier;
extern const char *MJ_dspVisualIdentifier;
extern const char *MJ_dspGainIdentifier;
extern const char *MJ_dspGainMultiIdentifier;
extern const char *MJ_dspCompressorIdentifier;

extern const char *MJ_dspMul2Identifier;
extern const char *MJ_dspAdd2Identifier;
extern const char *MJ_dspSub2Identifier;

extern const char *MJ_dspAbsIdentifier;
extern const char *MJ_dspSquareIdentifier;
extern const char *MJ_dspSignedSquareRootIdentifier;
extern const char *MJ_dspConstIdentifier;

#endif
