/* COPYRIGHT
 *
 * This file is part of Mustajuuri GPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the General Public License (GPL),
 * versions 2. Extra clauses can be found from the file MUSTAJUURI_GPL
 * and further explanations from the file MUSTAJUURI_LICENSE. The
 * license text can be found in file "GPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *  
 */

#include <mj_arraytmpl.C>
#include <mj_listtmpl.C>

#include <mj_math.h>
#include <mj_module_level.h>
#include <mj_module_mixer.h>
#include <mj_module_mixer_bus.h>
#include <mj_module_mixer_source.h>

// mj_module_level.h
template class MJ_Array<MJ_LevelMeter<MJ_Sample> >;

template class MJ_Array<MJ_ModuleWeightedSum>;
template class MJ_List<MJ_ModuleMixerBus>;
template class MJ_List<MJ_ModuleMixerStrip>;
template class MJ_List<MJ_MixerUnit>;


// template class QList<MJ_ModuleMixerBus>;
template class QList<MJ_ModuleMixerStrip>;
template class QList<MJ_MixerUnit>;
template class QList<MJ_ModuleMixerBus>;

// mj_module_mixer_bus.h:
template class MJ_Array<MJ_IntIntSample>;
template class QList<MJ_IntIntSample>;

