/* COPYRIGHT
 *
 * This file is part of Mustajuuri LGPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2001.
 * Tommi.Ilmonen@hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. Extra clauses can be found from the file
 * MUSTAJUURI_LGPL and further explanations from the file
 * MUSTAJUURI_LICENSE. The license text can be found in file
 * "LGPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *    
 */

#include <mj_multi_info_gui.h>

#include <qapplication.h>

#include <stdio.h>
#include <stdlib.h>

static void MJ_arrayFatal(int)
{
  puts("FATAL ERROR IN SOME ARRAY");
  exit(0);
}

/* A totally useless application. Test only.*/

int main(int argc, char **argv)
{
  // puts("Enter main");

  QApplication * qa = new QApplication(argc, argv);

  MJ_MultiInfoGui *mig = new MJ_MultiInfoGui("Close", "Some info");
  
  qa->setMainWidget(mig);

  for(int i=0; i < 20; i++)
    mig->addInfo("This is just information, if even that\n"
		"It won't help you at all with anything, but such is life");

  mig->show();

  qa->exec();

  delete qa;

  char * lostPtr = new char[20];
  (void) lostPtr;
  // puts("EXIT main");


  return 0;
}
