/* COPYRIGHT
 *
 * This file is part of Mustajuuri LGPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2001.
 * Tommi.Ilmonen@hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. Extra clauses can be found from the file
 * MUSTAJUURI_LGPL and further explanations from the file
 * MUSTAJUURI_LICENSE. The license text can be found in file
 * "LGPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *    
 */

#ifndef MJ_GUI_UTILS_H
#define MJ_GUI_UTILS_H

class QWidget;
class QGridLayout;

extern void MJ_limMinSize(QWidget *xpW, float fScale=1.0, int iAddPixels=0);

extern void MJ_limMaxSize(QWidget *xpW, float fScale=1.0, int iAddPixels=0);

extern void MJ_limSize(QWidget *xpW, float fScale=1.0, int iAddPixels=0);

void MJ_equalStretch(QGridLayout *xpGrid,int iRowStretch=5,int iColStretch=5);


#endif
