/* COPYRIGHT
 *
 * This file is part of Mustajuuri.
 *
 * Author: Tommi Ilmonen, 1999-2001.
 * Tommi.Ilmonen@hut.fi
 *
 * http://www.tcm.hut.fi/~tilmonen/mustajuuri/
 *
 * Mustajuuri is licensed under GNU Lesser General Public License
 * (LGPL). The LGPL conditions can be found in file "LGPL" that is
 * distributed with this source package. The Mustajuuri license
 * interpretation that further clarifes LGPL can be found in file
 * "MUSTAJUURI_LICENSE" that is distributed with the Mustajuuri source code.
 *    
 */

#ifndef MJ_KNOB_TEST_H
#define MJ_KNOB_TEST_H

#include <qobject.h>

class QApplication;

/** A utility/test class that prints Qt's double signals to screen. */
class MJ_DoublePrinter : public QObject
{
  Q_OBJECT
  
public:
  virtual ~MJ_DoublePrinter() {}
public slots:
  void print(double);

};

extern void MJ_testKnob(QApplication *qa);

#endif
