#!/bin/sh

DIR2="$1"
shift

DIR1="$1"
shift

if test ! -e $DIR2 ; then
  echo "Directory $DIR2 does not exist. Aborting"
  exit
fi

export PWDORIG=`pwd`

cd $DIR2

if test ! -e $DIR1 ; then
  echo "Directory $DIR1 does not exist (seen from $DIR2). Aborting"
  exit
fi


FILES=`ls *`

# echo "FILES=$FILES"

echo "Working under $DIR2"

for FILE in $FILES ;
do

  FULLPATH=$DIR1/$FILE

  if test -e $FULLPATH ; then
    echo "Linking file $FILE from $DIR1";
    $PWDORIG/scripts/file2link.sh $FULLPATH $FILE
  fi

done