#! /bin/zsh -f

# Calculate the number of code lines in Mustajuuri sources.

export SYSTEM="$(uname -s)"
export VERSION="$(uname -r)"
export PLATFORM="$SYSTEM-$VERSION"

find mj -name '*_moc.C' -exec rm -rf {} \;
find mjmodules -name '*_moc.C' -exec rm -rf {} \;
find mjwidgets -name '*_moc.C' -exec rm -rf {} \;
find mjutils -name '*_moc.C' -exec rm -rf {} \;
find plugins -name '*_moc.C' -exec rm -rf {} \;

wc mjwidgets/*.[hC] mjcore/*.[hC] mjdsp/*.[hC] \
    mj/*.[hC]  mj/IRIX/*.[hC] mjmodules/*.[hC] mjutils/*.[hC] \
    $(find plugins -name '*.[hC]') 

wc ac/*.[hC]

wc divabase/*.[hC] divaio/*.[hC]