#!/bin/sh

export OS=`uname -s`
export OSTYPE=$OS-`uname -m`

echo "Running valgrind on $MUSTAJUURI_PATH/bin/$OSTYPE/mustajuuri-bin"

valgrind  --show-reachable=yes --leak-check=yes \
    --suppressions=$MUSTAJUURI_PATH/etc/mj-valgrind.supp \
    --num-callers=6 \
    $MUSTAJUURI_PATH/bin/$OSTYPE/mustajuuri --no_watch_dog --no_priority

