
#
# Sets the necessary environment variables for
# Mustajuuri compilation and operation.
#

export SYSTEMBASE=`uname -s`

if test $SYSTEMBASE = IRIX64  ; then
  export SYSTEMBASE=IRIX
fi

if test $SYSTEMBASE = IRIX  ; then

  export MJPLATFORM=$SYSTEMBASE-`uname -r`

else

  export MJPLATFORM=$SYSTEMBASE-`uname -m`

fi

export MUSTAJUURI_PATH=$(pwd)/../
export MUSTAJUURI_PLUGIN_PATH=$MUSTAJUURI_PATH/plugins/$MJPLATFORM/

export PATH=$MUSTAJUURI_PATH/bin/$MJPLATFORM/:$PATH
export LD_LIBRARY_PATH=$MUSTAJUURI_PATH/lib/$MJPLATFORM/:$LD_LIBRARY_PATH
export LD_LIBRARYN32_PATH=$MUSTAJUURI_PATH/lib/$MJPLATFORM/:$LD_LIBRARYN32_PATH
