
/*

g++ foo.C -o foo -ldl

*/

#include <dlfcn.h>
#include <stdio.h>

int main(int argc, char **argv)
{
  const char * libname = "/usr/lib/libm.so";

  if(argc > 1) libname = argv[1];

  printf("Opening \"%s\"\n", libname);
  fflush(0);

  void * handle = dlopen(libname, RTLD_NOW);

  printf("handle is = %p\n", handle);
  fflush(0);
}
