/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */


#ifndef VEE_MATRIX4_H
#define VEE_MATRIX4_H

#include <Fluid/Matrix4.hpp>

typedef Fluid::Matrix4T<float>  VEE_Matrix4;
typedef Fluid::Matrix4T<double> VEE_Matrix4d;

extern const VEE_Matrix4 VEE_Matrix4IDENTITY;

#endif
