
/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */


#ifndef VEE_VECTOR3_H
#define VEE_VECTOR3_H

#include <Fluid/Vector3.hpp>

typedef Fluid::Vector3T<float>  VEE_Vector3;
typedef Fluid::Vector3T<double> VEE_Vector3d;

extern const VEE_Vector3 VEE_Vector3ZERO;
extern const VEE_Vector3 VEE_Vector3ONE;
extern const VEE_Vector3 VEE_Vector3_UNIT_X;
extern const VEE_Vector3 VEE_Vector3_UNIT_Y;
extern const VEE_Vector3 VEE_Vector3_UNIT_Z;


/* inline float dot(const VEE_Vector3& a, const VEE_Vector3& b)
{
  return a[0]*b[0] + a[1]*b[1] + a[2]*b[2];
}


inline VEE_Vector3 cross(const VEE_Vector3& a, const VEE_Vector3& b)
{
  VEE_Vector3  v((a[1]*b[2])-(a[2]*b[1]),
		-(a[0]*b[2])+(a[2]*b[0]),
		(a[0]*b[1])-(a[1]*b[0]));
  return v;
}*/

#endif
