/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#ifndef VEE_BGL_APP_H
#define VEE_BGL_APP_H

#include <BglApp.hpp>

#include <vee_sdl_app.h>

class VEE_BglApp : public BglApp
{
public:
  VEE_BglApp(VEE_SdlApp * app);
  virtual ~VEE_BglApp();

protected:
  virtual void contextInit();
  virtual void contextCleanup();
  virtual void draw();
  virtual void preFrame();

  VEE_SdlApp::GlData * m_gld;
  VEE_SdlApp * m_app;
  
};

#endif
