
// Should be included by Opcode.h if needed

#ifndef OPC_ICE_HOOK_H
#define OPC_ICE_HOOK_H


#define ICE_DONT_CHECK_COMPILER_OPTIONS

// From Windows...
// typedef int                 int;
#ifndef FALSE
#define FALSE               0
#endif

#ifndef TRUE
#define TRUE                1
#endif

#undef ICECORE_API
#define ICECORE_API	OPCODE_API

#define ICEMATHS_API	OPCODE_API



#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <string.h>
#include <float.h>
#include <math.h>

#ifndef ASSERT
#define	ASSERT(exp)	{}
#endif
// #define ICE_COMPILE_TIME_ASSERT(exp)	extern char ICE_Dummy[ (exp) ? 1 : -1 ]

// #define	Log			       
#define	SetIceError(a,b)	false
#define	EC_OUTOFMEMORY	"Out of memory"

namespace ICE {

#include "Ice/IcePreprocessor.h"

#include "Ice/IceTypes.h"
#include "Ice/IceAxes.h"
#include "Ice/IceFPU.h"
#include "Ice/IceMemoryMacros.h"



//namespace IceCore
// {
#include "Ice/IceUtils.h"
#include "Ice/IceContainer.h"
#include "Ice/IcePairs.h"
#include "Ice/IceRevisitedRadix.h"
#include "Ice/IceRandom.h"
// }
// using namespace IceCore;


// namespace IceMaths
// {
#include "Ice/IcePoint.h"
#include "Ice/IceHPoint.h"
#include "Ice/IceMatrix3x3.h"
#include "Ice/IceMatrix4x4.h"
#include "Ice/IcePlane.h"
#include "Ice/IceRay.h"
#include "Ice/IceIndexedTriangle.h"
#include "Ice/IceTriangle.h"
#include "Ice/IceTriList.h"
#include "Ice/IceAABB.h"
#include "Ice/IceOBB.h"
#include "Ice/IceBoundingSphere.h"
#include "Ice/IceSegment.h"
#include "Ice/IceLSS.h"
//}
//using namespace IceMaths;

}

using namespace ICE;

#endif
