/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#ifndef VEE_RMAN_MATERIAL_H
#define VEE_RMAN_MATERIAL_H

#include <map>
#include <string>

/// UNIMPLEMENTED
class VEE_RManMaterialBank
{
public:
  VEE_RManMaterialBank() {}
  ~VEE_RManMaterialBank() {}

  const std::string & getMaterial(int) {}

protected:
  std::map<int, std::string> m_materials;

};

#endif
