/* COPYRIGHT
 *
 * This file is part of the Simple Object Loader and Renderer - SOLAR
 *
 * Read the file "SOLAR-LICENSE" for the license.
 *
 * Authors & Copyright:
 *
 * Tommi Ilmonen, 2001-2003, except LWO-code by RJ, 2001-2003
 *
 * Tommi's email: firstname.lastname@hut.fi
 *
 */

#ifndef SOLAR_MTL_PARSER_HPP
#define SOLAR_MTL_PARSER_HPP

#include <ConfigReader.hpp>

namespace Solar {
  
  class MtlParser
  {
  public:

    static bool load(ConfigReader::Config *, const char * fname);

    static std::string simplify(const std::string&);

    static void split(std::string * header, std::string * rest, 
		      const std::string&);
  };
  
} // namespace Solar


#endif
